function onBegin()
  if not getFlag("rise2") then
	  disablePause()
	  disableMovement()
	  local level = getLevel()
	  coroutine.yield(level:ZoomTo(vector2(180, 60), 1.5, 0.5))
	  say("PRICKLES_SEPTICSOULS_BEZDA2")
	  setFlag("rise2", true)
	  coroutine.yield(level:ZoomAcross(vector2(160, 90), 1, 0.5))
	  wait(2)
	  enableMovement()
	  enablePause()
  end
end